In chapter 3, we introduce definitions and concepts which closely related to the thesis work. First, we presents concepts in the domain of basic mathematical and statistical field, more specifically, knowledge about graph theory will be the focus, and then concepts about process discovery and data mining are introduced. Besides that, some definitions in the range of system dynamic are introduced too.
\section{Mathematical Concepts}
In this subsection, we present commonly used mathematical concepts in the field of Computer Science in order to help readers establish fundamental knowledge and and familiarize notations which appears in the thesis paper.
\subsection{Set and Function}
\begin{definition}
\textbf{Set} In mathematics, a set is a well defined collection of objects. The objects that make up this collection are called elements of the set. An example of set is the nature number $\left\{ 0,1,2,3,... \right\}$, and we denote the set of nature number as $\mathbb{N}$.
\end{definition}
Given two arbitrary sets A and B,
\begin{itemize}
    \item Two sets can be combined together. We denote the union of A and B as A $\cup$ B and is the set of all elements which from either A or B.
    \item A new set can be constructed by determining which elements two set have in common. We denote the intersection of A and B as A $\cap$ B and is the set of all elements which are member of both A and B. A $\cap$ B = $\varnothing$ if and only if A and B are disjoint.
    \item The size of a set is the number of elements the set contains. E.g. set A = $\left\{x_{1},x_{2},...,x_{n}\right\}$, then the size of set A is denoted as |A| and equals to n.
    \item Empty set is the unique set having no elements and its size is 0, denoted as $\varnothing$.
\end{itemize}

\begin{definition}
\textbf{Function} Given two non-empty set A and B, if, according to a certain definite correspondence f, for any number x in set A, there is a uniquely definite number corresponding to it in set B, then f: A $\rightarrow$ B is a function, denoted as y = f(x), x$\in$ A or f(A) = $\left\{y|f(x)=y \wedge y\in B \right\}$, and:
\begin{itemize}
    \item Function f is the corresponding rule;
    \item The set A is the domain of the function f;
    \item The set of function value $\left\{f(x)| x \in A \right\}$ $\subseteq$ B is the range of function f.
\end{itemize}
\end{definition}
\subsection{Matrix} 
\begin{definition}
\textbf{Matrix} In mathematics, a m x n matrix A is a rectangular array or table of m rows and n columns of elements which can be numbers, symbols, or mathematical expressions. Denoted as:
\[
A = \begin{bmatrix} 
    a_{11} & a_{12} & \dots & a_{1n}\\
    a_{21} & a_{22} & \dots & a_{2n}\\
    \vdots & \vdots & \ddots & \vdots\\
    a_{m1} & a_{22} & \dots & a_{mn} 
    \end{bmatrix}
\]
\end{definition}
The individual items in the m x n matrix A are called elements or entities of A, and often denoted as $a_{ij}$ where i represents the $i^{th}$ row while j represents the $j^{th}$ row. 
\subsection{Graph Theory}
In mathematics, graph theory is the study of graphs and is widely used in computer science to model pairwise relations between objects.
\begin{definition}
\textbf{Graph} In graph theory, a graph (undirected graph as default) is a pair G = (V,E) where:
\begin{itemize}
    \item V is a set of vertices (also called nodes or points);
    \item E $\subseteq$ $\left\{ (x,y)|(x,y) \in V^{2} \wedge x\neq y \right\}$ is a set of paired vertices, the element of E is referred as edges, links or lines and all the edges are bidirectional.
\end{itemize}
\end{definition}
\begin{definition}
\textbf{Circuit} In graph theory, a circuit is a non-empty trail in which the start vertex equals to the end vertex. Given graph G = (V,E), 
\begin{itemize}
    \item A circuit is a non-empty trail ($e_{1}$,$e_{2}$,$e_{3}$,...,$e_{n}$) with vertex sequence ($v_{1}$,$v_{2}$,...$v_{n}$,$v_{1}$).
    \item The length of circuit is the number of edges in it.
\end{itemize}
\end{definition}
\begin{definition}
\textbf{Cycle} In graph theory, a cycle is a circuit in which the only repeated vertex is the start/end vertex.
\end{definition}
\begin{definition}
\textbf{Directed Acyclic Graph} In graph theory, a directed acyclic graph G = (V,E) comprises:
\begin{itemize}
    \item V is a set of vertices;
    \item E $\subseteq$ $\left\{ (x,y)|(x,y) \in V^{2} \wedge x\neq y \right\}$ is a set of ordered paired  vertices, i.e.edges have orientations;
    \item G doesn't contain any cycle.
\end{itemize}
\end{definition}
\section{Statistical Concepts}
Statistics is a branch of applied mathematics. It mainly establishes mathematical models by using probability theory, collects data of observed systems, makes quantitative analysis and summary, and then makes inference and prediction, providing basis and reference for relevant decisions. In this subsection, we provide concepts we used in the context of statistics. 
\subsection{Correlation}
\begin{definition}
\textbf{Correlation} In statistics, correlation is a statistical measure used to indicate the degree of linear relationship between two random variables. Normally, there are 3 possibilities between a pair of random variables:
\begin{itemize}
    \item Positive correlation: the two variables change in the same direction;
    \item Negative correlation: the two variables change in the opposite direction;
    \item No correlation: there is no linear relationship between two variables.
\end{itemize}
\end{definition}
\begin{definition}
\textbf{Pearson Correlation Coefficient} Pearson correlation coefficient, also referred to as Pearson's r , is the covariance of the a pair of random variables (X,Y) divided by the product of their standard deviations, and used to measure the linear correlation between two variables. \label{PCC}
\end{definition}
When applied to the population, Pearson's r is often denoted as $\rho$.\newline 
Given two variables X and Y, the formula for $\rho_{(X,Y)}$ is:
\begin{equation}
    \rho_{(X,Y)} = \dfrac{cov(X,Y)}{\sigma_{X}\sigma_{Y}}\label{pearsons' r}
\end{equation}
where:
\begin{itemize}
    \item \textit{cov} is the covariance
    \item $\sigma$ is the standard deviation 
\end{itemize}

When applied to a sample, Pearson's r is often denoted as $\textit{r}$.\newline
Given data $\left\{(x_{1},y_{1}),(x_{2},y_{2}),...,(x_{n},y_{n})\right\}$, by substituting estimates of the covariances and variances based on a sample into the formula \eqref{pearsons' r} we get formula for $\textit{r}_{(x,y)}$ :
\begin{equation}
    r_{(x,y)} = \dfrac{\sum_{i=1}^{n}(x_{i}-\Bar{x})(y_{i}-\Bar{y})}{\sqrt{\sum_{i=1}^{n}(x_{i}-\Bar{x})^2}\sqrt{\sum_{i=1}^{n}(y_{i}-\Bar{y})^2}}
\end{equation}
where:
\begin{itemize}
    \item \textit{n} is the size of sample data
    \item $x_{i}$ and $y_{i}$ refer to the $i^{th}$ data point
    \item $\Bar{x}$ and $\Bar{y}$ refer to the mean value of \textit{x} and \textit{y}
\end{itemize}

The value of Pearson correlation coefficient falls in the interval [-1,1] no matter the population Person's r or the sample Person's r, and:
\begin{itemize}
    \item -1 indicates a total negative linear correlation
    \item 0 indicates no linear correlation
    \item +1 indicates a total positive linear correlation
\end{itemize}
Two key properties of Pearson's r are:
\begin{itemize}
    \item Pearson's r are symmetrical, i.e. \textit{corr(X,Y)} == \textit{corr(Y,X)}
    \item The change of the position and scale of the two variables will not cause the change of the coefficient.In other words, if we move X to a + bX and Y to c + dY, where a, b, c and d are constants, the correlation coefficient of the two variables stay the same.
\end{itemize}
\begin{definition}
\textbf{Distance Correlation Coefficient}
While Pearson's r can only detect the linear correlation between two random variables, distance correlation coefficient is a statistical measurement to indicate the dependence between a pair of random variables. The value of distance correlation can be obtained by dividing the distance covariance by the product of their distance standard deviations. \label{DCC}
\end{definition}
\begin{definition}
\textbf{Distance Covariance}
Given a sample data $\left\{(x_{1},y_{1}),(x_{2},y_{2}),...,(x_{n},y_{n})\right\}$, compute the distance matrix containing all pairwise distance, and denote as:
\begin{equation}
    \textit{a}_(i,j) = 	\left \| x_{i}-x_{j} \right\|\qquad  
    \textit{b}_(i,j) = \left \| y_{i}-y_{j} \right\|
\end{equation}
where i,j $\in$ [1,2,3,...n] and $\left \|\right\|$ is the Euclidean norm. \newline
Then all the paired distances are centralized:
\begin{equation}
    A_{i,j} = a_{i,j}-\Bar{a_{i}}-\Bar{a_{j}}+\Bar{a}+... \qquad
    B_{i,j} = b_{i,j}-\Bar{b_{i}}-\Bar{b_{j}}+\Bar{b}+...
\end{equation}
where $\Bar{a_{i}}$ is the mean value of $i^{th}$ row, $\Bar{a_{j}}$ is the mean value of $j^{th}$ column, and $\Bar{a}$ is the grand mean of sample X. All b values follow the same notation. Then we have the distance covariance as following:
\begin{equation}
    dCov(X,Y) = \sqrt{\dfrac{1}{n^{2}}\sum_{i=1}^{n}\sum_{j=1}^{n}A_{i,j}B_{i,j}}\label{distance covariance}
\end{equation}
where n is the size of sample data and i, j is the $i^th$ row and $j^th$ column respectively.
\end{definition}
\begin{definition}
\textbf{Distance Standard Deviation} The distance standard deviation is a special case when the two variables are identical. According to \eqref{distance covariance}, the distance standard deviation is calculated as:
\begin{equation}
    dVar(X) = \dfrac{1}{n}\sqrt{\sum_{i=1}^{n}\sum_{j=1}^{n}A_{i,j}^{2}}
\end{equation}
And refer the definition \ref{DCC}, when applied to sample data ($X_{k}$,$Y_{k}$), k in [1,2,3,..n], the mathematical formula of distance correlation coefficient is:
\begin{equation}
    dCor(X,Y) = \dfrac{dCov(X,Y)}{\sqrt{dVar(X)dVar(Y)}}
\end{equation}
\end{definition}
Compared to the Pearson's correlation coefficient \ref{PCC}, the properties of distance correlation coefficient offer us a very nice tool to detect whether there is a certain relationship, no matter it is linear or non-linear, between random variables or not.
\begin{itemize}
    \item The value of distance correlation coefficient falls in the interval [0,1]
    \item $dCor(X,Y)$ == 0 if and only if X and Y are independent
\end{itemize}
Following concepts in the field of statistics are some import quality criteria to evaluate the goodness or badness of the result.
\begin{definition}
\textbf{Root-mean-square-error} The root-mean-square-error (RMSE) or root-mean-square-deviation (RMSD) is a statistical measurement to indicate the difference between values predicted by a model or an estimator and the true value. It is the square root of the average of the squared errors.
\begin{equation}
    RMSE = \sqrt{\dfrac{\sum_{i=1}^n|(\hat{y}_{i}-y_{i})|^2}{n}}
\end{equation}
where:
\begin{itemize}
    \item $\hat{y}_{i}$ is the predicted value from model
    \item $y_{i}$ is the observed value from data
    \item n is the sample size
\end{itemize}
\end{definition}

\begin{definition}
\textbf{Mean Absolute Error} Like RMSE above, the mean absolute error (MAE) or mean absolute deviation (MAD) is a measure of errors between a pair of predicted value and real value. The MAE is calculated by:
\begin{equation}
    MAE = \dfrac{1}{n}\sum_{i=1}^n|(\hat{y}_{i}-y_{i})|
\end{equation}
the notation is same as in RMSE.
\end{definition}
\section{Process Mining and Event Log}
Process mining is a relatively young discipline, an interdisciplinary subject of data science and process modeling. The idea of process mining is to discover, monitor and improve actual business processes by extracting knowledge from event logs. It works as bridge between data mining and business process management.

Data captured during execution of business processes are the key stone in all kinds of data analysis. In the context of process mining, the execution of an activity is identified by a unique case ID and referred to as an event. An event log records all events during process execution and, for example, reveals at which time stamp who executes which activity. In real scenario, an event log normally contains more data attributes related to the process. \newline
Before get to know the definition of event log, following are some concepts in the context of event log:
\begin{itemize}
    \item Activity: A well-defined step in a workflow
    \item Resource: Staff and/or other assets used in the execution of an activity
    \item Timestamp: To indicate at which time point something happens
    \item Case: a related set of events denoted and connected by a unique identifier 
\end{itemize}
\begin{definition}
\textbf{Event Log} An event log is a collection of cases and associated events.
\end{definition}

\begin{table}[]
    \centering
    \caption{A simple event log}
    \begin{tabular}{|p{1cm}|p{3.5cm}|p{3.5cm}|p{2cm}|p{2cm}|}
    \hline
    ID& Date&Activity&Resource&Costs\\
 \hline
1&30-12-2010:11.02&register request&Pete&50\\
 1&31-12-2010:10.06&examine thoroughly&Sue&400\\
 1&06-01-2011:11.18&decide&Sara&200\\
 2&30-12-2010:11.32&register request&Mike&50\\
 2&30-12-2010:12.12&check ticket&Mike&100\\
 2&30-12-2010:14.16&examine casually&Sean&400\\
 2&05-01-2011:11.22&decide&Sara&200\\
 3&30-12-2010:14.32&register request&Pete&50\\
 3&30-12-2010:15.06&examine casually&Mike&400\\
 3&30-12-2010:16.34&check ticket&Ellen&100\\
 3&15-01-2011:10.45&pay compensation&Ellen&200\\
 ...&...&...&...&...\\
 \hline
    \end{tabular}
    \label{tab:event log}
\end{table}
Refer the table \ref{tab:event log}, this simple event log contains at least 3 different cases with ID 1, 2 and 3, respectively. The first row in the table indicates that \textit{Pete} executed activity \textit{Activity} at time \textit{30-12-2010:11.02} and it costs \textit{50}.

\section{System Dynamic}
System dynamic is a methodology to get the insight understanding about how complex systems change over time by using certain modeling technologies. It offers a tool for analysing how actions and reactions cause and influence each other, and how and why elements and processes in the system change. System dynamics has been applied in a wide range of fields, including ecology, economy, society, organization, management, environmental protection, etc.

In system dynamic, we use \textit{stock-flow diagram} to simulate possible future behavior of a system.
\begin{definition}
\textbf{Stock} A stock represents a part of system whose value is accumulated over time by inflows and/or reduced by outflows. Stocks can only be changed via flows. For example, the bank account balance, number of patients in waiting
\end{definition}
\begin{definition}
\textbf{Flow} A Flow represents the rate of change of stocks at any given time. Inflows flows into stock and increase the value of stocks while outflows flows out of stocks and decrease the value stocks. For example, save money, number of patients arrived per hour (inflow) and withdraw money, number of patients diagnosed per hour (outflow).
\end{definition}
\begin{definition}
\textbf{Variable} Variables are factors that can influence inflow and/or outflow. They represent parts of a system whose value is influence by other parts of the system at any time through some computational. Depends on different commercial software, the detailed classification about variable type also varies. In \textit{Vensim}, variables have type \textit{Auxiliary}, \textit{Constant}, \textit{Data} and so on.
\end{definition}
Stocks, flows and variables are the 3 basic building blocks of stock-flow diagram.
\begin{definition}
\textbf{SD-Log}
\end{definition}